Name:           ax25-tools
Version:        0.0.9
Release:        1%{?dist}
Summary:        Tools used to configure an ax.25 enabled computer

Group:          Applications/Communications
License:        GPLv2+
URL:            http://www.linux-ax25.org/wiki/LinuxAX25
Source0:        http://www.linux-ax25.org/cvsweb/%{name}/%{name}.tar.gz

# Patch to include soundmodem.h, which was obsoleted and removed from the 2.6 kernel 
# Patch0:
# Patch by Thomas Sailer to work around issue with BSD style pseudo-terminal
# not being supported anymore. Adds support for Unix98 pseudo-terminals.
# Patch1:         %{name}-%{version}-Unix98-ptmx.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	automake
BuildRequires:  libax25-devel
BuildRequires:  ncurses-devel
BuildRequires:  libXt-devel
BuildRequires:	fltk-devel

%description
ax25-tools is a collection of tools that are used to configure an ax.25 enabled
computer. They will configure interfaces and assign callsigns to ports as well
as Net/ROM and ROSE configuration.

%prep
%setup -qn %{name}
#%patch0 -p1
#%patch1 -p1

%build
autoreconf
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#don't include these twice
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%doc yamdrv/README.yamdrv user_call/README.user_call tcpip/ttylinkd.README dmascc/README.dmascc
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man?/*

%changelog
* Thu Mar 12 2009 Randall J. Berry <dp67@fedoraproject.org> 0.0.9-1
- Upstream update to 0.0.9, #488049
- Upstream URL has changed
- Remove patches applied to newer source

* Thu Dec 11 2008 Sindre Pedersen Bjørdal <foolish@guezz.net> 0.0.8-3
- Fix pseudo-terminal issue, #475045

* Sat Feb 16 2008 Robert 'Bob' Jensen <bob@bobjensen.com> 0.0.8-2
- Submit for review

* Thu Dec 06 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> 0.0.8-1
- Initial Build
